Skip to main content
GET
Each time a work order was raised and each time one was closed, one row apiece, dated when it happened.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

work_order_id
string
work_order_number
string
title
string
activity
string
activity_at
string
activity_year
string
activity_month
string
closed_within_sla
string
closed_late
string
status_category
string
business_unit_id
string
business_unit_name
string
site_id
string
site_name
string
top_location_id
string
top_location_name
string
location_id
string
assigned_team_id
string
assigned_team_name
string
assigned_worker_id
string
assigned_worker_name
string
problem_code
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

activity
string<text>
activity_at
string<timestamp with time zone>
activity_month
integer<integer>
activity_year
integer<integer>
assigned_team_id
string<uuid>

Note: This is a Foreign Key to teams.id.

assigned_team_name
string<character varying>
Maximum string length: 200
assigned_worker_id
string<uuid>

Note: This is a Foreign Key to assignable_workers.id.

assigned_worker_name
string<character varying>
Maximum string length: 200
business_unit_id
string<uuid>

Note: This is a Foreign Key to business_units.id.

business_unit_name
string<character varying>
Maximum string length: 200
closed_late
boolean<boolean>
closed_within_sla
boolean<boolean>
location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

problem_code
string<character varying>
Maximum string length: 80
site_id
string<uuid>

Note: This is a Foreign Key to entry_currencies.for_site_id.

site_name
string<character varying>
Maximum string length: 200
status_category
string<character varying>
Maximum string length: 20
title
string<character varying>
Maximum string length: 250
top_location_id
string<uuid>
top_location_name
string<text>
work_order_id
string<uuid>

Note: This is a Primary Key.

work_order_number
string<character varying>
Maximum string length: 60